As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 688824 - Hide restart if locale is changed to current locale
: Hide restart if locale is changed to current locale
Status: VERIFIED FIXED
: polish
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 10
Assigned To: Wesley Johnston (:wesj)
:
:
Mentors:
: 665514 689542 690407 (view as bug list)
Depends on: 658278
Blocks: 689706
  Show dependency treegraph
 
Reported: 2011-09-23 11:29 PDT by Wesley Johnston (:wesj)
Modified: 2011-12-29 06:16 PST (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (1.61 KB, patch)
2011-09-27 12:09 PDT, Wesley Johnston (:wesj)
no flags Details | Diff | Splinter Review
Patch (1.07 KB, patch)
2011-09-29 12:12 PDT, Wesley Johnston (:wesj)
mark.finkle: review+
Details | Diff | Splinter Review

Description User image Wesley Johnston (:wesj) 2011-09-23 11:29:53 PDT
Using the new locale picker in preferences, we currently show the restart notification any time the locale pref changes. We should be smarter and hide the restart notification if the user changes their locale back.
Comment 1 User image Aaron Train [:aaronmt] 2011-09-27 06:47:20 PDT
*** Bug 689542 has been marked as a duplicate of this bug. ***
Comment 2 User image Wesley Johnston (:wesj) 2011-09-27 12:09:23 PDT
Created attachment 562830 [details] [diff] [review]
Patch v1

This fixes the preferencesView store the current locale and checking against it on updates. I also removed a check in localePicker.js. This is an easy fix to a bigger problem in there. If you click on a langaugePack row we do not update LocaleUI._locale. When you then click back on English, we think it is the current locale and don't bother updating the ui (or any restart notifications that were set).

I'm putting my "This needs tests!" hat back on, and holding off on review until I've done that.
Comment 3 User image Matt Brubeck (:mbrubeck) 2011-09-29 11:38:13 PDT
*** Bug 690407 has been marked as a duplicate of this bug. ***
Comment 4 User image Wesley Johnston (:wesj) 2011-09-29 12:12:22 PDT
Created attachment 563509 [details] [diff] [review]
Patch

I've moved the piece that was failing because we don't update the LocaleUI.locale when switching from downloaded locales to already installed locales in the tests (bug 684241), along with some questions about whether we want it or not.
Comment 5 User image Matt Brubeck (:mbrubeck) 2011-09-30 09:53:40 PDT
*** Bug 665514 has been marked as a duplicate of this bug. ***
Comment 7 User image Matt Brubeck (:mbrubeck) 2011-10-03 16:40:59 PDT
https://hg.mozilla.org/mozilla-central/rev/077a86b75bdb
Comment 8 User image Aaron Train [:aaronmt] 2011-10-05 06:38:21 PDT
aurora nom?
Comment 9 User image Cristian Nicolae (:xti) 2011-10-05 07:05:11 PDT
(In reply to Aaron Train [:aaronmt] from comment #8)
> aurora nom?

Yes. This issue is still reproducing on the latest Aurora build and I guess that it should be fixed before FF9 will merge to Beta. If a user will tap on a different locale and then will change his/her mind by tapping on the Cancel button, a Restart app is requested. So the last selected language pack will be applied, even if in fact, the action was canceled.
Comment 10 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 14:40:09 PST
Does this affect mobile-only?
Comment 11 User image Matt Brubeck (:mbrubeck) 2011-12-28 14:53:38 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #10)
> Does this affect mobile-only?

Yes.
Comment 12 User image Cristian Nicolae (:xti) 2011-12-29 06:16:41 PST
Verified fixed on:
Mozilla/5.0 (Android;Linux armv7l;rv:10.0)Gecko/20111228
Firefox/10.0 Fennec/10.0
Devices: Samsung Galaxy S
OS: Android 2.2

Note You need to log in before you can comment on or make changes to this bug.